ark(1)

ark - Herramienta de compresión de KDE

ark [-b] [-a] [-e] [-O] [-c] [-f sufijo] [-p] [-t archivo] [-d] [-m] [-o directorio] [Opciones generales de KDE Frameworks] [Opciones generales de Qt(TM)]

Descripción

Ark es un programa de KDE para manejar varios formatos de archivos comprimidos. Los archivos comprimidos se pueden visualizar, extraer, crear y modificar con Ark. El programa puede manejar diversos formatos, como tar, gzip, bzip2, zip, y rar (siempre que estén instalados los programas o bibliotecas correspondientes).

Modos de operación

Ark se puede usar como un programa gráfico independiente o como un programa de la línea de órdenes para realizar algunas tareas específicas.

Si se llama sin las opciones -b (--batch) ni -c (-add), Ark se inicia como un programa gráfico normal.

Cuando se usa la opción -b (--batch), Ark se puede utilizar para extraer el contenido de uno o más archivos directamente desde la línea de órdenes, sin lanzar su interfaz gráfica.

Cuando se usa la opción -c (-add), Ark solicita los archivos que se van a añadir a un archivador nuevo o ya existente.

Opciones

-d, --dialog
    Muestra un diálogo para especificar las opciones de una operación por lotes o de añadir archivos.

-m, --mimetypes
    Lista los tipos MIME permitidos.

-o, --destination directorio
    Especifica el directorio de extracción por omisión. Si no se indica se usará la ruta actual.

  Opciones para añadir archivos

-c, --add
    Solicita al usuario el un nombre de archivador al que añadir los archivos especificados. Sale cuando finaliza.

-t, --add-to archivo
    Añade los archivos especificados al archivo indicado. Crea el archivador si no existe. Sale cuando finaliza.

-p, --changetofirstpath
    Cambia el directorio actual a la primera entrada y añade el resto de entradas relativas a esta.

-f, --autofilename sufijo
    Escoge un nombre de archivo automáticamente usando el sufijo proporcionado (por ejemplo, rar, tar.gz, zip o cualquier tipo permitido).

  Opciones para la extracción por lotes

-b, --batch
    Usar la interfaz por lotes en lugar del diálogo normal. Esta opción se da por supuesta si se especifica más de un URL.

-e, --autodestination
    El argumento de destino se fijará a la ruta del primer archivo suministrado.

-a, --autosubfolder
    Se leerá el contenido del archivador y, si se detecta que no se trata de un archivador de una única carpeta, se creará una subcarpeta con el nombre del archivador.

-O, --opendestination
    Abrir la carpeta de destino tras completar la extracción.

Consulte también
    Dispone de documentación de usuario más detallada en help:/ark (introduzca dicha URL en Konqueror o ejecute khelpcenter help:/ark).
    kf6options(7)
    qt6options(7)

Ejemplos

ark --batch archivador.tar.bz2
    Extraerá archivador.tar.bz2 en el directorio actual sin mostrar ninguna interfaz gráfica.

ark -b -d archivador.tar.bz2 archivador2.zip
    Mostrará primero un diálogo con opciones de extracción y luego extraerá archivador.tar.bz2 y archivador2.zip en el directorio escogido en el diálogo.

ark --add-to mi-archivador.zip foto1.jpg texto.txt
    Creará mi-archivador.zip si no existe y luego se le añadirán foto1.jpg y texto.txt.

Mantenimiento

Ark está a cargo de Elvis Angelaccio y Ragnar Thomsen en la actualidad.

Lauri Watts <lauri@kde.org>
    Versión inicial de la página de manual de Ark en 2005.

Raphael Kubo da Costa <rakuco@FreeBSD.org>
    Actualización de la página de manual de Ark en 2009.

Ragnar Thomsen <rthomsen6@gmail.com>
    Actualización de la página de manual de Ark en 2015 y 2016.